Subject: bug#3228: 23.0.93; GTK font selection: asked for Courier, got Nimbus

From: Kenichi Handa <[email-masked]>
Date: Fri, 08 May 2009 10:49:50 +0900

In article <[email-masked]>, Sven Joachim <[email-masked]> writes:

> > Are you sure that you followed the above procedure exactly
> > without doing anything else?

> Yes.  It is probably due to my X resource setting:

> Emacs.font:-adobe-courier-medium-r-normal--*-120-*-*-m-*-iso10646-1

> Should I replace iso10646 with iso8859?

No, it shouldn't matter.

> > It seems that you have three kinds of courier fonts:
> >       X: -adobe-courier-* (bitmap fonts, same as below)
> >     Xft: -Adobe-courier-* (/usr/share/fonts/X11/*dpi/cour*.pcf.gz)
> > X alias: -urw-nimbus mono l-* (Type1 scalable fonts)

> Yes, /usr/share/fonts/X11/Type1/fonts.alias defines these aliases:

> -adobe-courier-medium-r-normal--0-0-0-0-p-0-iso8859-1 "-urw-nimbus mono l-regular-r-normal--0-0-0-0-p-0-iso8859-1"

Ok, I see.  It seems that the problem here is this:

o menu-set-font returns the font name "courier 12"; i.e no
	information about spacing, dpi
o no bitmap courier font has the exact pixelsize for 12pt on your screen.
o so Emacs selected a scalable font, that is the above "nimbus mono l" font.

I think "% emacs -fn courier-12" will also select the
"nimbus mono l" font in this environment.

Please try:
M-x set-default-font RET courier-12:spacing=m RET

Doesn't it select a bitmap font, perhaps the same one as this
startup font?

  xft:-Adobe-Courier-normal-normal-normal-*-17-*-*-*-m-100-iso10646-1

---
Kenichi Handa
[email-masked]